import java.util.*;

public class InputMismatchExceptionDemo {
  public static void main(String[] args) {
    Scanner input = new Scanner(System.in);
    boolean continueInput = true;

    do {
      try {
        System.out.print("Podaj liczbę całkowitą: ");
        int number = input.nextInt();
  
        // Wyświetlanie wyniku
        System.out.println(
          "Wprowadzona liczba to " + number);
        
        continueInput = false;
      } 
      catch (InputMismatchException ex) {
        System.out.println("Spróbuj ponownie. ("+ 
          "Błędne dane wejściowe: wymagana jest liczba całkowita).");
        input.nextLine(); // Usuwanie danych wejściowych
      }
    } while (continueInput);
  }
}
